package cn.van.business.util.jdReq;

import java.time.LocalDateTime;

public interface OrderFetchStrategy {
    /**
     * 计算要抓取的时间范围
     * @param baseTime 基准时间（通常用当前时间）
     * @return 包含开始时间和结束时间的值对象
     */
    TimeRange calculateRange(LocalDateTime baseTime);

    /**
     * 策略标识
     */
    String strategyName();

    Boolean isRealTime() ;
}

